<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZSample0001SF6EditViewBase from './ibizsample0001-sf6-edit-view-base.vue';

import view_form from '@widgets/ibizsample0001/main5-form/main5-form.vue';
// 基于 @VIEW/实体编辑视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZSample0001SF6EditView extends IBIZSample0001SF6EditViewBase {

}
</script>